VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsHwPeo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

'Public Type hwPeo
    'Dim zobject() As clsHwPeoObject
    Dim colPeoObjects As Collection
    
    Public numPMaterials As Integer   ' Public Materials
    Public numLMaterials As Integer   ' Local Materials
    
Private Sub Class_Initialize()
    Set colPeoObjects = New Collection
End Sub

Private Sub Class_Terminate()
  Set colPeoObjects = Nothing
End Sub
    
'Public Function object(i As Integer) As clsHwPeoObject
'  'Set object = clsHwPeoObject
'  Set object = zObject(i)
'End Function

Public Property Get NewEnum() As IUnknown
' This property allows you to enumerate
' this collection with the For...Each syntax
  Set NewEnum = colPeoObjects.[_NewEnum]
End Property

Public Function Add(ByVal vKey As String, _
                    Optional ByVal vBefore As Long = 0, _
                    Optional ByVal vAfter As Long = 0) As clsHwPeoObject
  
  Dim objNewPeoObject As clsHwPeoObject
  
On Error GoTo ErrorHandler:

  If Len(vKey) > 0 And Len(vKey) < 51 Then
    Set objNewPeoObject = New clsHwPeoObject
    If vBefore > 0 Then 'Provide same functionality as Collection
      colPeoObjects.Add objNewPeoObject, vKey, vBefore
    ElseIf vAfter > 0 Then
      colPeoObjects.Add objNewPeoObject, vKey, , vAfter
    Else
      colPeoObjects.Add objNewPeoObject, vKey
    End If
    Set Add = objNewPeoObject 'Pass back reference
    Set objNewPeoObject = Nothing 'Clean up reference
  Else
    Set Add = Nothing 'Signal failure by returning nothing object
  End If
  Exit Function
  
ErrorHandler:
  Set Add = Nothing
  Err.Raise Err.Number, "MyObjectCollection.MyObjects", Err.Description

End Function

Public Sub Remove(ByVal vKey As Variant)
' Variant allows for string key or long index
On Error GoTo ErrorHandler:

  colPeoObjects.Remove vKey
  Exit Sub

ErrorHandler:
  Err.Raise Err.Number, "MyObjectCollection.MyObjects", Err.Description
End Sub

Public Function object(ByVal vKey As Variant) As clsHwPeoObject
' Variant allows for string key or long index
On Error GoTo ErrorHandler:

  If Len(vKey) > 0 And Len(vKey) < 51 Then
    Set object = colPeoObjects.Item(vKey)
  Else
    Set object = Nothing 'signal failure
    Err.Raise vbObjectError + 10000, "MyObjectCollection.MyObjects", "Key value invalid"
  End If
  Exit Function

ErrorHandler:
  If Err.Number = 5 Or Err.Number = 9 Then
    Set object = Nothing 'Item not found
  Else
    Err.Raise Err.Number, "MyObjectCollection.MyObjects", Err.Description
  End If
End Function

