Attribute VB_Name = "modFileGif"
' Ok so we do a bit of a cheat here, because Gif's are so drawn out and long winded
' we will let VB Handle the loading and simply get image data bits for our
' custom image format.

Function IsGIF(Filename As String) As Boolean
On Error Resume Next
    Dim GifTest As String * 3
    Open Filename For Binary Access Read As #1
        Get #1, , GifTest
        If UCase(GifTest) <> "GIF" Then IsGIF = False Else IsGIF = True
    Close #1
End Function
Sub LoadGIF(Filename As String, ByRef pImage As ImageFile, ByRef pBox As PictureBox)
    pBox.ScaleMode = vbPixels
    pBox.AutoSize = True
    pBox.Picture = LoadPicture(Filename)
    Dim bmi As BITMAPINFO
    pImage.ImageWidth = pBox.ScaleWidth 'Store our Image Width
    pImage.ImageHeight = pBox.ScaleHeight 'Store Our Image Height
    pImage.ImageBPP = 24                               'Store our Image Bits Per Pixel Value.
    'Setup our Bitmap Info Header (see LoadCustomImage)
    bmi.bmiHeader.biSize = 40
    bmi.bmiHeader.biWidth = pImage.ImageWidth
    bmi.bmiHeader.biHeight = pImage.ImageHeight
    bmi.bmiHeader.biPlanes = 1
    bmi.bmiHeader.biBitCount = pImage.ImageBPP
    bmi.bmiHeader.biCompression = 0
    ReDim pImage.ImageData(1 To (pImage.ImageWidth * pImage.ImageHeight) * 3) As Byte
    'Get the dib bits, and store them in our data array.
    GetDIBits pBox.hdc, pBox.Image, 0, pBox.ScaleHeight, pImage.ImageData(1), bmi, DIB_RGB_COLORS
    'Now Flip the Image because getdibbits reads from the bottom up.
    FlipImage pImage
End Sub
