VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsShipMaterialTextureInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Enum textureType
  texDiffuse = 1
  texGlow = 2
  texAlpha = 3
  texMask = 4
  texDiffuseOn = 5
  texDiffuseOff = 6  ' As per hgn_carrier
  texGlowOn = 7
  texGlowOff = 8
  texMaskOff = 9
End Enum


Public textureId As Integer    ' index into the texture array

' Only use below if matClassic!!
Public ambient As clsColourType
Public diffuse As clsColourType
Public specular As clsColourType

' Only use below if matShader!!
Public texType As textureType  ' specifies what to do with this texture - handled by the 3d rendering routine

Private Sub Class_Initialize()
  Set ambient = New clsColourType
  Set diffuse = New clsColourType
  Set specular = New clsColourType
End Sub

Private Sub Class_Terminate()
  Set ambient = Nothing
  Set diffuse = Nothing
  Set specular = Nothing
End Sub
