VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsShipMaterialType"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Enum materialType
  matClassic = 1   ' Backward compatibility for Homeworld 1
  matShader = 2    ' Homeworld 2 (DirectX 8/9) type
End Enum

Public matType As materialType

Public flags As clsShipMaterialFlag

Public kAlpha As Single
Public nFullAmbient As Integer
Public offset As Long

Private zMatTextures() As clsShipMaterialTextureInfo
Private numTextures As Integer

Private Sub Class_Initialize()
  Set flags = New clsShipMaterialFlag
  numTextures = 0
End Sub

Private Sub Class_Terminate()
  Set flags = Nothing
  Erase zMatTextures
  numTextures = 0
End Sub

Public Sub AddTexture(i As Integer)
  numTextures = numTextures + 1
  ReDim Preserve zMatTextures(i)
  Set zMatTextures(i) = New clsShipMaterialTextureInfo
End Sub

Public Property Get Texture(i As Integer) As clsShipMaterialTextureInfo
  If i > numTextures Then Exit Property
  Set Texture = zMatTextures(i)
End Property

Public Function TextureCount() As Long
  TextureCount = numTextures
End Function


