strikegroup = {
  Name = "Core",
  DesiredShipTypes = "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter, Capturer, Utility",
  OffsetFromParent = {
    0,
    0,
    0,
  },
  Children = {
    {
      Name = "CoreLeft",
      DesiredShipTypes = "BigCapitalShip, SmallCapitalShip",
      OffsetFromParent = {
        -1,
        0,
        0,
      },
    },
    {
      Name = "CoreRight",
      DesiredShipTypes = "BigCapitalShip, SmallCapitalShip",
      OffsetFromParent = {
        1,
        0,
        0,
      },
    },
    {
      Name = "Corvette Roof",
      DesiredShipTypes = "Corvette",
      OffsetFromParent = {
        0,
        1,
        0,
      },
      Children = {
        {
          Name = "CorvetteRoof Forward 1",
          DesiredShipTypes = "Corvette",
          OffsetFromParent = {
            0,
            0,
            1,
          },
          Children = {
            {
              Name = "CorvetteRoof Forward 1 Left",
              DesiredShipTypes = "Corvette",
              OffsetFromParent = {
                -1,
                0,
                0,
              },
            },
            {
              Name = "CorvetteRoof Forward 1 Right",
              DesiredShipTypes = "Corvette",
              OffsetFromParent = {
                1,
                0,
                0,
              },
            },
          },
        },
        {
          Name = "CorvetteRoof Backwards 1",
          DesiredShipTypes = "Corvette",
          OffsetFromParent = {
            0,
            0,
            -1,
          },
          Children = {
            {
              Name = "CorvetteRoof Backwards 1 Left",
              DesiredShipTypes = "Corvette",
              OffsetFromParent = {
                -1,
                0,
                0,
              },
            },
            {
              Name = "CorvetteRoof Backwards 1 Right",
              DesiredShipTypes = "Corvette",
              OffsetFromParent = {
                1,
                0,
                0,
              },
            },
            {
              Name = "CorvetteRoof Backwards 2",
              DesiredShipTypes = "Corvette",
              OffsetFromParent = {
                0,
                0,
                -1,
              },
              Children = {
                {
                  Name = "CorvetteRoof Backwards 2 Left",
                  DesiredShipTypes = "Corvette",
                  OffsetFromParent = {
                    -1,
                    0,
                    0,
                  },
                },
                {
                  Name = "CorvetteRoof Backwards 2 Right",
                  DesiredShipTypes = "Corvette",
                  OffsetFromParent = {
                    1,
                    0,
                    0,
                  },
                },
                {
                  Name = "CorvetteRoof Backwards 3",
                  DesiredShipTypes = "Corvette",
                  OffsetFromParent = {
                    0,
                    0,
                    -1,
                  },
                  Children = {
                    {
                      Name = "CorvetteRoof Backwards 3 Left",
                      DesiredShipTypes = "Corvette",
                      OffsetFromParent = {
                        -1,
                        0,
                        0,
                      },
                    },
                    {
                      Name = "CorvetteRoof Backwards 3 Right",
                      DesiredShipTypes = "Corvette",
                      OffsetFromParent = {
                        1,
                        0,
                        0,
                      },
                    },
                  },
                },
              },
            },
          },
        },
      },
    },
    {
      Name = "Frigate Line Left",
      DesiredShipTypes = "Frigate, Capturer",
      OffsetFromParent = {
        -1,
        0,
        -1,
      },
      Children = {
        {
          Name = "Frigate Line Left Continuation",
          DesiredShipTypes = "Frigate, Capturer",
          OffsetFromParent = {
            -1,
            0,
            0,
          },
        },
        {
          Name = "Frigate Line Left Upper",
          DesiredShipTypes = "Frigate, Capturer",
          OffsetFromParent = {
            0,
            1,
            0,
          },
          Children = {
            {
              Name = "Frigate Line Left Upper Continuation",
              DesiredShipTypes = "Frigate, Capturer",
              OffsetFromParent = {
                -1,
                0,
                0,
              },
            },
          },
        },
        {
          Name = "Frigate Line Left Lower",
          DesiredShipTypes = "Frigate, Capturer",
          OffsetFromParent = {
            0,
            -1,
            0,
          },
          Children = {
            {
              Name = "Frigate Line Left Lower Continuation",
              DesiredShipTypes = "Frigate, Capturer",
              OffsetFromParent = {
                -1,
                0,
                0,
              },
            },
          },
        },
      },
    },
    {
      Name = "Frigate Line Right",
      DesiredShipTypes = "Frigate, Capturer",
      OffsetFromParent = {
        1,
        0,
        -1,
      },
      Children = {
        {
          Name = "Frigate Line Right Continuation",
          DesiredShipTypes = "Frigate, Capturer",
          OffsetFromParent = {
            1,
            0,
            0,
          },
        },
        {
          Name = "Frigate Line Right Upper",
          DesiredShipTypes = "Frigate, Capturer",
          OffsetFromParent = {
            0,
            1,
            0,
          },
          Children = {
            {
              Name = "Frigate Line Right Upper Continuation",
              DesiredShipTypes = "Frigate, Capturer",
              OffsetFromParent = {
                1,
                0,
                0,
              },
            },
          },
        },
        {
          Name = "Frigate Line Right Lower",
          DesiredShipTypes = "Frigate, Capturer",
          OffsetFromParent = {
            0,
            -1,
            0,
          },
          Children = {
            {
              Name = "Frigate Line Right Lower Continuation",
              DesiredShipTypes = "Frigate, Capturer",
              OffsetFromParent = {
                1,
                0,
                0,
              },
            },
          },
        },
      },
    },
    {
      Name = "Utility",
      DesiredShipTypes = "Utility",
      OffsetFromParent = {
        0,
        -0.6,
        -1,
      },
      Children = {
        {
          Name = "Utility Left",
          DesiredShipTypes = "Utility",
          OffsetFromParent = {
            -1,
            0,
            0,
          },
        },
        {
          Name = "Utility Right",
          DesiredShipTypes = "Utility",
          OffsetFromParent = {
            1,
            0,
            0,
          },
        },
      },
    },
    {
      Name = "StrikeCraft upper line",
      DesiredShipTypes = "Fighter",
      OffsetFromParent = {
        0,
        0.3,
        1,
      },
      Children = {
        {
          Name = "Left",
          DesiredShipTypes = "Fighter",
          OffsetFromParent = {
            -1,
            0,
            0,
          },
        },
        {
          Name = "Right",
          DesiredShipTypes = "Fighter",
          OffsetFromParent = {
            1,
            0,
            0,
          },
        },
        {
          Name = "StrikeCraft upper line second tier",
          DesiredShipTypes = "Fighter",
          OffsetFromParent = {
            0,
            1,
            0,
          },
          Children = {
            {
              Name = "Left",
              DesiredShipTypes = "Fighter",
              OffsetFromParent = {
                -1,
                0,
                0,
              },
            },
            {
              Name = "Right",
              DesiredShipTypes = "Fighter",
              OffsetFromParent = {
                1,
                0,
                0,
              },
            },
          },
        },
      },
    },
    {
      Name = "StrikeCraft lower line",
      DesiredShipTypes = "Fighter",
      OffsetFromParent = {
        0,
        -0.3,
        1,
      },
      Children = {
        {
          Name = "Left",
          DesiredShipTypes = "Fighter",
          OffsetFromParent = {
            -1,
            0,
            0,
          },
        },
        {
          Name = "Right",
          DesiredShipTypes = "Fighter",
          OffsetFromParent = {
            1,
            0,
            0,
          },
        },
        {
          Name = "StrikeCraft lower line second tier",
          DesiredShipTypes = "Fighter",
          OffsetFromParent = {
            0,
            -1,
            0,
          },
          Children = {
            {
              Name = "Left",
              DesiredShipTypes = "Fighter",
              OffsetFromParent = {
                -1,
                0,
                0,
              },
            },
            {
              Name = "Right",
              DesiredShipTypes = "Fighter",
              OffsetFromParent = {
                1,
                0,
                0,
              },
            },
          },
        },
      },
    },
  },
}
