Attribute VB_Name = "modFileJPG"
' Ok so we do a bit of a cheat here, because Jpeg's are so drawn out and long winded
' we will let VB Handle the loading and simply get image data bits for our
' custom image format.
Private Function Read32(filenumber) As Long
    Dim b1 As Byte, b0 As Byte, b2 As Byte, b3 As Byte
    Get #filenumber, , b3
    Get #filenumber, , b2
    Get #filenumber, , b1
    Get #filenumber, , b0
    Read32 = LShift(b3, 24) + LShift(b2, 16) + LShift(b1, 8) + b0
End Function
Private Function Read16(filenumber) As Long
    Dim b1 As Byte, b0 As Byte
    Get #filenumber, , b1
    Get #filenumber, , b0
    Read16 = b0 + LShift(b1, 8)
End Function
Function IsJPEG(Filename As String) As Boolean
On Error Resume Next
    Open Filename For Binary Access Read As #1
        Read32 1
        Read16 1
        If Read32(1) <> 1246120262 Then IsJPEG = False Else IsJPEG = True
    Close #1
End Function
Sub LoadJPEG(Filename As String, ByRef pImage As ImageFile, ByRef pBox As PictureBox)
    pBox.ScaleMode = vbPixels
    pBox.AutoSize = True
    pBox.Picture = LoadPicture(Filename)
    Dim bmi As BITMAPINFO
    pImage.ImageWidth = pBox.ScaleWidth 'Store our Image Width
    pImage.ImageHeight = pBox.ScaleHeight 'Store Our Image Height
    pImage.ImageBPP = 24                               'Store our Image Bits Per Pixel Value.
    'Setup our Bitmap Info Header (see LoadCustomImage)
    bmi.bmiHeader.biSize = 40
    bmi.bmiHeader.biWidth = pImage.ImageWidth
    bmi.bmiHeader.biHeight = pImage.ImageHeight
    bmi.bmiHeader.biPlanes = 1
    bmi.bmiHeader.biBitCount = pImage.ImageBPP
    bmi.bmiHeader.biCompression = 0
    ReDim pImage.ImageData(1 To (pImage.ImageWidth * pImage.ImageHeight) * 3) As Byte
    'Get the dib bits, and store them in our data array.
    GetDIBits pBox.hdc, pBox.Image, 0, pBox.ScaleHeight, pImage.ImageData(1), bmi, DIB_RGB_COLORS
    'Now Flip the Image because getdibbits reads from the bottom up.
    FlipImage pImage
End Sub
