Attribute VB_Name = "ModRecentList"
Option Explicit

Public extractLocation As String
Public Const ThisKey = "Recent Files"

Sub GetRecentFiles(frm As Form)
    Dim i As Integer
    Dim varFiles As Variant
    
    If GetSetting(App.EXEName, "LastExtract", "Location") = Empty Then
      extractLocation = App.Path
    Else
      extractLocation = GetSetting(App.EXEName, "LastExtract", "Location")
    End If
    
    If GetSetting(App.EXEName, ThisKey, "RecentFile1") = Empty Then
      frm.mnuRecent(0).Enabled = False
    Else
      varFiles = GetAllSettings(App.EXEName, ThisKey)
    
      Debug.Print UBound(varFiles, 1)
      For i = 0 To UBound(varFiles, 1)
        frm.mnuRecentFile(i + 1).Caption = "&" & (i + 1) & " " & LCase(varFiles(i, 1))
        frm.mnuRecentFile(i + 1).Visible = True
      Next i
    
      For i = UBound(varFiles, 1) + 1 To 8
        frm.mnuRecentFile(i + 1).Visible = False
      Next
    End If
    

End Sub

Sub WriteRecentFiles(frm As Form, OPENFILENAME)
    Dim i As Integer
    Dim strFile As String, strKey As String, strShort As String

    For i = 1 To 9
        If LCase(Mid(frm.mnuRecentFile(i).Caption, 4)) = LCase(OPENFILENAME) Then
            Exit Sub
        End If
    Next i
    
    For i = 8 To 1 Step -1
        strKey = "RecentFile" & i
        strFile = GetSetting(App.EXEName, ThisKey, strKey)
        If strFile <> "" Then
            strKey = "RecentFile" & (i + 1)
            SaveSetting App.EXEName, ThisKey, strKey, strFile
        End If
    Next i
  
    SaveSetting App.EXEName, ThisKey, "RecentFile1", UCase(OPENFILENAME)
End Sub

