VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   8235
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9360
   LinkTopic       =   "Form1"
   ScaleHeight     =   549
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   624
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command1 
      Caption         =   "Configure Plugin"
      Height          =   375
      Left            =   4920
      TabIndex        =   3
      Top             =   7800
      Width           =   1335
   End
   Begin VB.ListBox List1 
      Height          =   645
      ItemData        =   "form1.frx":0000
      Left            =   0
      List            =   "form1.frx":0002
      TabIndex        =   2
      Top             =   7080
      Width           =   6255
   End
   Begin VB.TextBox txtOutput 
      Height          =   8175
      Left            =   6360
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      Top             =   0
      Width           =   3015
   End
   Begin VB.PictureBox Picture1 
      AutoRedraw      =   -1  'True
      BackColor       =   &H80000017&
      BorderStyle     =   0  'None
      Height          =   6975
      Left            =   0
      ScaleHeight     =   6975
      ScaleWidth      =   6255
      TabIndex        =   0
      Top             =   0
      Width           =   6255
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Public my3d As hwseD3D
Dim bRunning As Boolean
Public myCore As clsCore
Dim thisShip As clsHwShip
Dim objHost As IHostInterface

Dim renderer As Integer

Private Sub Command1_Click()

  'MsgBox nPlugins(List1.ListIndex + 1).PluginInfo.name
  Dim objPlugin As New hwseCore.hwsePlugin
  'Try and create an instance of the plugin
  Set objPlugin = CreateObject(myCore.GetPluginInfo(List1.ListIndex + 1).strClassName)
  ' Init the plugin
  If objPlugin.InitPlugin(objHost) = False Then Exit Sub
    
  Call objPlugin.showConfigure
  
  Set objPlugin = Nothing

End Sub

Private Sub Form_Load()
  Me.Show

  Dim filePath As String, shipToLoad As String
  Dim shipname As String

  'Set up our interface which we'll pass to plugins to they can call back
  Set objHost = New clsHostInterface
  Set myCore = New clsCore

  'Set hwseCore = New clsCore
  'hwseCore.ShowAbout cfeModal
  
  Call getPlugins
  
  ' Select which renderer you want to use
  'renderer = MsgBox("Do you want DirectX?", vbYesNo)
  'renderer = vbYes
  'Debug.Print renderer

  'If renderer = vbYes Then
    Set my3d = New hwseD3D
    my3d.Start Picture1, myCore, objHost
    'my3d.Initialise Picture1.hWnd, Picture1.hDC
  'Else
  '  Set my3d = New hwseOpenGL
  'End If
  
  
  'Set thisShip = New clsHwShip
  
  Dim objPlugin As hwsePlugin
  Set objPlugin = CreateObject(myCore.GetPluginInfo(1).strClassName)
  If objPlugin.InitPlugin(objHost) = False Then Exit Sub
  
  shipname = "lightinterceptor"
  filePath = "E:\Programming\Projects\hwse\Ships\"
  shipToLoad = shipname & "\rl0\lod0\" & shipname & ".peo"
  Set thisShip = objPlugin.import(filePath & shipToLoad)
  Debug.Print "--------------" & thisShip.numObjects
  
  Dim i As Integer
  For i = 1 To thisShip.numObjects
    objHost.DisplayText i & ": " & thisShip.PEO.object(i).objName & " (" & thisShip.PEO.object(i).stats.nPolygons & " polys)"
  Next i
  
  'Dim objNo As Integer
  'thisShip.PEO.AddObject 1
  
  'thisShip.PEO.object(1).objName = "Test"
  'Debug.Print thisShip.PEO.object(1).objName
 
  'Call importPEO("E:\Programming\Projects\hwse\Ships\missile\rl0\lod0\missile.peo", thisShip)
  'objHost.DisplayText thisShip.numObjects & " / " & thisShip.PEO.numLMaterials & " / " & thisShip.PEO.numPMaterials
  'objHost.DisplayText thisShip.materials.Count
 
  'Set thisShip = Nothing
  'Set objPlugin = Nothing
  
  Me.Show
  
  'resizeWindow
  my3d.UseShip thisShip
  bRunning = True

  Do While bRunning = True
    my3d.Render
    'Me.Caption = my3d.getfps
    DoEvents
  Loop
  
  'my3d.cleanup
  'Set my3d = Nothing

End Sub

Private Sub Form_Paint()
'  my3d.Render
'  Me.Caption = my3d.getfps
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
  Debug.Print "...QueryUnload"
  bRunning = False
  my3d.cleanup
  Me.Caption = "Closing....."
  Set my3d = Nothing
  Set myCore = Nothing
  
  Unload Me
End Sub

Private Sub resizeWindow()
  Debug.Print "...resizeWindow"
  Static W&, H&
  Dim w1&, h1&
  w1 = ScaleWidth
  h1 = ScaleHeight
  my3d.OnSize w1, h1
  If w1 <= W And h1 <= H Then my3d.Render  'force a repaint
  W = w1: H = h1
End Sub


Private Sub Form_Terminate()
  Debug.Print "...FormTerminate"
  Unload Me
End Sub

Private Sub Form_Unload(Cancel As Integer)
  Debug.Print "...FormUnload"
  End
End Sub

Private Sub getPlugins()
  Dim strDlls() As String
  Dim iCount As Integer
  Dim pluginPath As String
  
  pluginPath = "\..\..\Bin\"
  'pluginPath = "\"
  If EnumFiles(App.Path & pluginPath & "*.dll", strDlls) = True Then
    For iCount = 0 To UBound(strDlls)
      objHost.DisplayText strDlls(iCount) & " v" & GetVersionInfo(App.Path & pluginPath & strDlls(iCount))
    Next
  End If
  'Debug.Print "hwseD3D.dll v" & GetVersionInfo(App.Path & "\..\..\Bin\hwsed3d.dll")
  'Debug.Print "hwseOpenGL.dll v" & GetVersionInfo(App.Path & "\..\..\Bin\hwseopengl.dll")
  'Debug.Print "hwseOpenGL.dll v" & GetVersionInfo(App.Path & "\..\..\Bin\hwseopengl.dll")

  Debug.Print "-------End Of Load"
  Call displayPlugins(App.Path & pluginPath & "Plugins\")
  
  'Dim objPlugin As hwseCore.hwseImport
  'Set objPlugin = CreateObject(nPlugins(1).strClassName)
  'If objPlugin.InitPlugin(objHost) = False Then
  '  Debug.Print "Failed to init plugin!"
  'End If

End Sub

Private Sub Picture1_MouseMove(Button As Integer, Shift As Integer, x As Single, Y As Single)
  my3d.MouseMove x, Y, Button
End Sub

Private Sub Picture1_KeyPress(KeyAscii As Integer)
  'Dim tmpVector As D3DVECTOR
  Debug.Print KeyAscii

  Select Case KeyAscii
  Case Asc("1"):
    my3d.SetRenderState "wireframe"
  Case Asc("2"):
    my3d.SetRenderState "solid"
  End Select
  
End Sub

Public Sub displayPlugins(pluginPath As String)
    Dim lCounter As Long
    
    'Load plugins
    If myCore.LoadPlugins(pluginPath, objHost) = False Then
        MsgBox "Failed to load any plugins.", vbCritical
        End
    End If
    
    ' Debug - iterate through all plugins to show information
    For lCounter = 1 To myCore.numPlugins
      With myCore.GetPluginInfo(lCounter).PluginInfo
        Form1.List1.AddItem .Name & " v" & .version & " - " & .FileDescription
      End With
    Next lCounter

End Sub

