VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsD3DTexturePool"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private zTextures() As Direct3DRMTexture3
Private noOfTextures As Integer

Public Sub CreateTexture(inputTexture As Direct3DRMTexture3)
  ReDim Preserve zTextures(noOfTextures)
  Set zTextures(noOfTextures) = inputTexture
  
  Debug.Print "TexturePool: textureAdded " & noOfTextures
  noOfTextures = noOfTextures + 1
End Sub

Public Function GetTexture(textureId As Long) As Direct3DRMTexture3
  'Debug.Print "TexturePool: Requesting texture: " & textureId
  Set GetTexture = zTextures(textureId)
End Function

Public Function NumTextures() As Long
  NumTextures = noOfTextures
End Function

Public Sub Clear()
  'Debug.Print "TexturePool: Clearing Textures"
  Erase zTextures
  noOfTextures = 0
End Sub
