VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsPluginRegistry"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Public pluginEXEname As String

' This class gives plugins access to the registry
' without having to use thier own code

Public Function writeRegKey(KeyName As String, KeyValue As String) As Boolean
  writeRegKey = UpdateKey(HKEY_LOCAL_MACHINE, "Software\Homeworld Tools\HWSE2\Plugins\" & pluginEXEname, KeyName, KeyValue)
End Function

Public Function getString(KeyName As String) As String
  getString = GetKeyValue(HKEY_LOCAL_MACHINE, "Software\Homeworld Tools\HWSE2\Plugins\" & pluginEXEname, KeyName)
End Function

Public Function getBoolean(KeyName As String) As Boolean
  Dim inputLine As String
  
  inputLine = GetKeyValue(HKEY_LOCAL_MACHINE, "Software\Homeworld Tools\HWSE2\Plugins\" & pluginEXEname, KeyName)
  If Len(inputLine) = 0 Then Exit Function
  
  If inputLine = "1" Then
    getBoolean = True
  Else
    getBoolean = False
  End If
  
End Function

Public Function getValue(KeyName As String) As Integer
  Dim inputLine As String
  inputLine = GetKeyValue(HKEY_LOCAL_MACHINE, "Software\Homeworld Tools\HWSE2\Plugins\" & pluginEXEname, KeyName)
  If Len(inputLine) = 0 Then Exit Function
  
  getValue = Int(Val(inputLine))
End Function
