Attribute VB_Name = "modShell"
Option Explicit

Declare Function FindFirstFile Lib "kernel32" Alias "FindFirstFileA" (ByVal lpFileName As String, lpFindFileData As WIN32_FIND_DATA) As Long
Declare Function FindNextFile Lib "kernel32" Alias "FindNextFileA" (ByVal hFindFile As Long, lpFindFileData As WIN32_FIND_DATA) As Long
Declare Function FindClose Lib "kernel32" (ByVal hFindFile As Long) As Long

Private Declare Function FreeLibrary Lib "kernel32" (ByVal hLibModule As Long) As Long
Private Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" (ByVal lpLibFileName As String) As Long
Private Declare Function GetProcAddress Lib "kernel32" (ByVal hModule As Long, ByVal lpProcName As String) As Long
Private Declare Function CallWindowProc Lib "user32" Alias "CallWindowProcA" (ByVal lpPrevWndFunc As Long, ByVal hWnd As Long, ByVal Msg As Any, ByVal wParam As Any, ByVal lParam As Any) As Long
Private Const ERROR_SUCCESS = &H0
Private Const ERROR_AHHHHHH = &HF

Public Const MaxLFNPath = 260
Type FILETIME
        dwLowDateTime As Long
        dwHighDateTime As Long
End Type
Type WIN32_FIND_DATA
        dwFileAttributes As Long
        ftCreationTime As FILETIME
        ftLastAccessTime As FILETIME
        ftLastWriteTime As FILETIME
        nFileSizeHigh As Long
        nFileSizeLow As Long
        dwReserved0 As Long
        dwReserved1 As Long
        cFileName As String * MaxLFNPath
        cShortFileName As String * 14
End Type

Private Type VS_FIXEDFILEINFO
    dwSignature As Long
    dwStrucVersion As Long
    dwFileVersionMSl As Integer
    dwFileVersionMSh As Integer
    dwFileVersionLSl As Integer
    dwFileVersionLSh As Integer
    dwProductVersionMSl As Integer
    dwProductVersionMSh As Integer
    dwProductVersionLSl As Integer
    dwProductVersionLSh As Integer
    dwFileFlagsMask As Long
    dwFileFlags As Long
    dwFileOS As Long
    dwFileType As Long
    dwFileSubtype As Long
    dwFileDateMS As Long
    dwFileDateLS As Long
End Type

Private Declare Function GetFileVersionInfo _
    Lib "Version.dll" Alias _
    "GetFileVersionInfoA" (ByVal lptstrFilename _
    As String, ByVal dwHandle As Long, ByVal _
    dwLen As Long, lpData As Any) As Long

Private Declare Function _
    GetFileVersionInfoSize Lib "Version.dll" _
    Alias "GetFileVersionInfoSizeA" (ByVal _
    lptstrFilename As String, lpdwHandle As _
    Long) As Long

Private Declare Sub CopyMemory Lib "kernel32" _
    Alias "RtlMoveMemory" (dest As Any, src As _
    Long, ByVal length As Long)

Private Declare Function VerQueryValue Lib _
    "Version.dll" Alias "VerQueryValueA" _
    (pBlock As Any, ByVal lpSubBlock As String, _
    lplpBuffer As Any, puLen As Long) As Long

Public Function RegisterServer(hWnd As Long, DllServerPath As String, bRegister As Boolean) As Boolean
    On Error Resume Next
    
    Dim lb As Long, pa As Long
    
    lb = LoadLibrary(DllServerPath)
    If bRegister Then
        pa = GetProcAddress(lb, "DllRegisterServer")
    Else
        pa = GetProcAddress(lb, "DllUnregisterServer")
    End If
    
    If CallWindowProc(pa, hWnd, ByVal 0&, ByVal 0&, ByVal 0&) = ERROR_SUCCESS Then
        RegisterServer = True
    Else
        RegisterServer = False
    End If
    FreeLibrary lb
End Function

Public Function EnumDirs(fpath As String, retarr() As String) As Boolean
    Dim FindData As WIN32_FIND_DATA, FName As String
    Dim fHand As Long, filecnt As Long

    fHand = FindFirstFile(fpath, FindData)
    FName = Trim(Replace$(FindData.cFileName, Chr(0), ""))

    filecnt = 0
    EnumDirs = False

    Do While Len(FName) > 0
        If FindData.dwFileAttributes And vbDirectory Then
            If FName <> "." And FName <> ".." Then
                ReDim Preserve retarr(0 To filecnt)
                EnumDirs = True
      
                retarr(filecnt) = FName
                filecnt = filecnt + 1
            End If
        End If
  
        Call FindNextFile(fHand, FindData)
  
        FName = Trim(Replace$(FindData.cFileName, Chr(0), ""))
        FindData.cFileName = Chr(0)
    Loop
    
    FindClose fHand
End Function

Public Function EnumFiles(fpath As String, retarr() As String) As Boolean
    Dim FindData As WIN32_FIND_DATA, FName As String
    Dim fHand As Long, filecnt As Long

    fHand = FindFirstFile(fpath, FindData)
    FName = Trim(Replace$(FindData.cFileName, Chr(0), ""))
    FindData.cFileName = Chr(0)

    filecnt = 0
    EnumFiles = False

    Do While Len(FName) > 0
        If FindData.dwFileAttributes And vbDirectory Then
        Else
            ReDim Preserve retarr(0 To filecnt)
            EnumFiles = True
   
            retarr(filecnt) = FName
            filecnt = filecnt + 1
        End If
  
        Call FindNextFile(fHand, FindData)
  
        FName = Trim(Replace$(FindData.cFileName, Chr(0), ""))
        FindData.cFileName = Chr(0)
    Loop
    
    FindClose fHand
End Function
